数据提供商: OpenAlex
按年份、作者、机构或主题筛选并统计学术论文的数量
$0.0005 / 次调用在 25 秒内响应
列出那些符合特定条件的 OpenAlex学术作品——包括出版年份或日期范围、开放获取标志、撤稿标志、作品类型、语言、DOI、OpenAlex作者 id、所属机构 ROR、主题 id,以及最低或最高的引用次数——然后获取这些匹配到的论文及其作者、发表期刊、引用次数和 DOI。此时可以使用 group_by 来获取按年份、类型、语言、主题、机构或国家划分的论文数量,而不是论文本身的信息。不支持自由文本查询:请使用文本搜索接口进行相关操作。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the OpenAlex endpoint /works on Glasser.bash
glasser run -p openalex -e '/works' -i '{"per_page":10,"institution_ror":"00f54p054","publication_year":2024}' --endpoint-version 1使用接口版本 1。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"openalex","endpoint":"/works","input":{"per_page":10,"institution_ror":"00f54p054","publication_year":2024},"endpoint_version":1}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 1,运行前请确认当前价格。
第 2 步尝试一个具体任务
开始文献综述时,可以查找与研究问题相关的学术记录,决定接下来阅读哪些资料。
复制此提示词到你的 Agent,查找文献综述所需的记录。
提示词
Use openalex:/works on Glasser.
Find returned academic records relevant to my literature-review question.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"properties": {
"doi": {
"type": "string",
"pattern": "^(https:\\/\\/doi\\.org\\/)?10\\.\\d{4,9}\\/\\S+$"
},
"page": {
"type": "integer",
"maximum": 100,
"minimum": 1
},
"sort": {
"enum": [
"cited_by_count:desc",
"cited_by_count:asc",
"publication_date:desc",
"publication_date:asc"
],
"type": "string"
},
"is_oa": {
"type": "boolean"
},
"cursor": {
"type": "string",
"maxLength": 500,
"minLength": 1
},
"group_by": {
"enum": [
"publication_year",
"type",
"open_access.is_oa",
"language",
"primary_topic.id",
"authorships.institutions.ror",
"authorships.institutions.country_code"
],
"type": "string"
},
"language": {
"type": "string",
"pattern": "^[a-z]{2}$"
},
"per_page": {
"type": "integer",
"maximum": 100,
"minimum": 1
},
"topic_id": {
"type": "string",
"pattern": "^T\\d{4,8}$"
},
"author_id": {
"type": "string",
"pattern": "^A\\d{4,12}$"
},
"work_type": {
"enum": [
"article",
"preprint",
"review",
"book",
"book-chapter",
"dataset",
"dissertation",
"letter",
"editorial",
"erratum",
"report",
"standard",
"other"
],
"type": "string"
},
"is_retracted": {
"type": "boolean"
},
"institution_ror": {
"type": "string",
"pattern": "^(https:\\/\\/ror\\.org\\/)?0[a-hj-km-np-tv-z0-9]{6}[0-9]{2}$"
},
"publication_year": {
"type": "integer",
"maximum": 2100,
"minimum": 1000
},
"cited_by_count_max": {
"type": "integer",
"maximum": 100000000,
"minimum": 0
},
"cited_by_count_min": {
"type": "integer",
"maximum": 100000000,
"minimum": 0
},
"to_publication_date": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}$"
},
"from_publication_date": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}$"
}
},
"additionalProperties": false
}json
{
"per_page": 10,
"institution_ror": "00f54p054",
"publication_year": 2024
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 返回数据 | 返回匹配数据时的价格。 | $0.0005 |
|---|---|---|
| 无匹配数据 | 数据提供商已响应,但没有匹配数据。 | $0.0002 |
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |